org.eclipse.cdt.core

## Class ToolFactory

- java.lang.Object
- - org.eclipse.cdt.core.ToolFactory

    public class ToolFactory
    extends Object

Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

### Method Summary

All Methods Static Methods Concrete Methods
`static CodeFormatter` `createCodeFormatter(Map<String,?> options)` Creates an instance of a code formatter.
`static CodeFormatter` `createDefaultCodeFormatter(Map<String,?> options)` Creates an instance of the built-in code formatter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createCodeFormatter

    public static CodeFormatter createCodeFormatter(Map<String,?> options)

Creates an instance of a code formatter. A code formatter implementation can be contributed via the extension point "org.eclipse.cdt.core.CodeFormatter". If unable to find a registered extension, the factory will default to using the default code formatter.

Parameters:
  `options` - - the options map to use for formatting with the code formatter. Recognized options are documented in `DefaultCodeFormatterConstants`. If set to `null`, then use the current settings from `CCorePlugin.getOptions()`.
Returns:
  an instance of either a contributed the built-in code formatter
See Also:
  `CodeFormatter`, `DefaultCodeFormatterConstants`, `CCorePlugin.getOptions()`

#### createDefaultCodeFormatter

    public static CodeFormatter createDefaultCodeFormatter(Map<String,?> options)

Creates an instance of the built-in code formatter.

Parameters:
  `options` - - the options map to use for formatting with the default code formatter. Recognized options are documented in `DefaultCodeFormatterConstants`. If set to `null`, then use the current settings from `CCorePlugin.getOptions()`.
Returns:
  an instance of the built-in code formatter
See Also:
  `CodeFormatter`, `DefaultCodeFormatterConstants`, `CCorePlugin.getOptions()`